#include<iostream>
#include<algorithm>
using namespace std;
int main()
{
    int n;
    cin>>n;
    int x[n], y[n];
    for(int i=0; i<n; i++)
    {
        cin>>x[i]>>y[i];
    }
    if(n==1)
    {
        cout<<"0";
    }
    else if(n==2)
    {
        if(x[0]!=x[1] && y[0]!=y[1])
        {
            cout<<"0";
        }
        else cout<<"1";
    }
    else cout<<"0";
}